Skip to main content
PATCH
/
org
/
{org_id}
/
agents
/
{agent_id}
Update agent
curl --request PATCH \
  --url https://v2-nova-api.prod.czmx.in/api/org/{org_id}/agents/{agent_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "default_functions": [
    "<string>"
  ],
  "extra_config": {
    "allow_interruptions": true,
    "interruption_sensitivity": 0.5,
    "min_words": 1,
    "turn_detector_enabled": true,
    "turn_detector_is_multilingual": true,
    "turn_detector_model_type": "<string>",
    "use_gender_plugin": "none"
  },
  "goodbye_config": {
    "enabled": true,
    "message": "<string>"
  },
  "greeting_config": {
    "agent_speaks_first": true,
    "greeting": "<string>",
    "pause_before_first_message": 1,
    "voice_mail_message": "<string>",
    "welcome_message_is_generated": true
  },
  "name": "<string>",
  "plugins": [
    "<unknown>"
  ],
  "prompt_template": "<string>",
  "room_duration_config": {
    "close_room_message": "<string>",
    "duration_warning_message": "<string>",
    "max_duration_min": 2,
    "max_silence_sec": 1,
    "silence_message": "<string>",
    "wait_for_message_sec": 1
  },
  "type": "voice",
  "vad_config": {
    "activation_threshold": 0.5,
    "max_buffered_speech": 2,
    "min_silence_duration": 1,
    "min_speech_duration": 1,
    "prefix_padding_duration": 1,
    "sample_rate": 28000
  }
}
'
{
  "allowed_sip_trunks": [
    "<string>"
  ],
  "background_sound": [
    123
  ],
  "created_at": "<string>",
  "default_functions": [
    "<string>"
  ],
  "extra_config": [
    123
  ],
  "goodbye_config": [
    123
  ],
  "greeting_config": [
    123
  ],
  "id": "<string>",
  "llm_config": [
    123
  ],
  "name": "<string>",
  "organization_id": "<string>",
  "plugins": [
    123
  ],
  "precall_webhook": [
    123
  ],
  "prompt_template": "<string>",
  "public_quota": 123,
  "room_duration_config": [
    123
  ],
  "tools": [
    {
      "config_override": {},
      "description": "<string>",
      "is_enabled": true,
      "method": "<string>",
      "name": "<string>",
      "parameters": [
        {
          "description": "<string>",
          "name": "<string>",
          "required": true,
          "type": "<string>"
        }
      ],
      "tool_id": "<string>",
      "url": "<string>"
    }
  ],
  "transcriber_config": [
    123
  ],
  "type": "<string>",
  "updated_at": "<string>",
  "vad_config": [
    123
  ],
  "voice_config": [
    123
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

org_id
string
required

Organization ID

agent_id
string
required

Agent ID

Body

application/json

Agent update details

background_sound
object
default_functions
string[]
extra_config
object
goodbye_config
object
greeting_config
object
llm_config
object
name
string
plugins
any[]
precall_webhook
object
prompt_template
string
room_duration_config
object
transcriber_config
object
type
enum<string>
Available options:
voice,
chat,
video
vad_config
object
voice_config
object

Response

OK

allowed_sip_trunks
string[]
background_sound
integer[]
created_at
string
default_functions
string[]
extra_config
integer[]
goodbye_config
integer[]
greeting_config
integer[]
id
string
llm_config
integer[]
name
string
organization_id
string
plugins
integer[]
precall_webhook
integer[]
prompt_template
string
public_quota
integer
room_duration_config
integer[]
tools
object[]
transcriber_config
integer[]
type
string
updated_at
string
vad_config
integer[]
voice_config
integer[]